Slag

  • stanlea
Posted: Sat, 10/06/2007 - 22:43
I try to install the Slag package http://www.nongnu.org/slag/index.html Doing ./configure I have this error : checking whether QTDIR environment variable is set... no configure: error: QTDIR must be properly set. What must I do now ?

Thanks, I'll try that. I'm

  • stanlea
  • 08/21/07
  • Sun, 10/07/2007 - 19:26
Thanks, I'll try that. I'm almost sure that Qt3 is installed. I'll check the value of QTDIR. Maybe the problem is that there is Qt3 and Qt4 on 64Studio.

no problem

  • niels.giesen
  • 10/07/07
  • Mon, 10/08/2007 - 23:16
Having both installed is no problem. It is just the compiling that needs to know where to look (i.e. not in /usr/share/qt4). That's why you have to set it, I reckon.

Hi stanlea, First, make sure

  • niels.giesen
  • 10/07/07
  • Sun, 10/07/2007 - 12:26
Hi stanlea, First, make sure you have got all the requirements (qt3, libsndfile, libsamplerate), as listed per the slag download page (http://www.nongnu.org/slag/download.html) : apt-get install libsndfile-dev apt-get install libsamplerate0-dev I do not know whether qt3 is installed by default. If not (check for presence of /usr/share/qt3): apt-get install one of: libqt3-mt, qt3-dev-tools, libqt3-mt-dev ...at least, this is the output of dpkg -S /usr/share/qt3 on my system. Then, set QTDIR to /usr/share/qt3: export QTDIR=/usr/share/qt3 and run ./configure after that